complexType "PeriodicDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationStartDate?, calculationEndDate?, calculationPeriodFrequency?, calculationPeriodDatesAdjustments?
</...>

Content Model Elements (4):

  calculationEndDate, calculationPeriodDatesAdjustments, calculationPeriodFrequency, calculationStartDate

All Direct / Indirect Based Elements (2):

  periodicDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  periodicDates (defined in AdjustableRelativeOrPeriodicDates2 complexType)

Known Usage Locations

- As direct type of elements (2):
  periodicDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  periodicDates (defined in AdjustableRelativeOrPeriodicDates2 complexType)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PeriodicDates"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationStartDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="calculationEndDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/> <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationEndDate

  Type: | AdjustableOrRelativeDate, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="calculationEndDate" type="AdjustableOrRelativeDate"/>

calculationPeriodDatesAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"/>

calculationPeriodFrequency

  Type: | CalculationPeriodFrequency, complex content

  The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/>

calculationStartDate

  Type: | AdjustableOrRelativeDate, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="calculationStartDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.